<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwConfigurationDB component</title>
<meta content="Piotr Golonka" name="author">
<style type="text/css">
table {width : 95%;}
tr {vertical-align:top;}
td.headLegend {
    background-color : #00cc00;
    vertical-align : top;
    width : 22%;
    font-weight:bold;
}
td.headComponentName {
    vertical-align:top;
    text-align:center;
    font-weight:bold;
}
td.headContent {width: 78%;}
td.tableHead {background-color : #00CC00;font-weight:bold;}
td.desc {width : 50%;}
td.link {width : 50%;}
    </style>
</head>
<body>
<table border="1"><tbody>
<tr>
<td class="headLegend">Component Name</td>
<td class="headComponentName">fwConfigurationDB</td>
</tr>
<tr>
<td class="headLegend">Description</td>
<td class="headContent">
<p>Configuration Database Tool</p>
	<p> The ConfigurationDB tool is used to store versions of static and dynamic
	configuration data for PVSS (Framework and non-Framework) devices in the Oracle
	database, and to configure the systems (apply settings) using the configuration
	data stored there.
	</p>
	<p> A "getting-started" guide for the use of the fwConfigurationDB libraries
	is available at the 
	<a href="scripts/libs/index.html">main library help page</a>.
	</p>
    </td>
</tr>
<tr>
<td class="headLegend">Dependencies</td>
<td class="headContent"><ul><li> fwCore </li></ul></td>
</tr>
<tr>
<td class="headLegend">Additional software required</td>
<td class="headContent"><ul>
<li> Oracle client 10.2 or 11.2</li>
<li> CtrlRDBAccess &gt;= 1.4 </li>
</ul></td>
</tr>
</tbody></table>
<br><br><table border="1"><tbody>
<tr><td class="tableHead" colspan="2">Panels</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Main Configuration Database panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB.html ">fwConfigurationDB/fwConfigurationDB.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Setup panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_Setup.html ">fwConfigurationDB/fwConfigurationDB_Setup.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Advanced operations panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_Advanced.html ">fwConfigurationDB/fwConfigurationDB_Advanced.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Manage recipes panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeManage.html ">fwConfigurationDB/fwConfigurationDB_RecipeManage.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Apply recipe panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeApply.html ">fwConfigurationDB/fwConfigurationDB_RecipeApply.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Create recipe panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeCreate.html ">fwConfigurationDB/fwConfigurationDB_RecipeCreate.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Edit recipe panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeEdit.html ">fwConfigurationDB/fwConfigurationDB_RecipeEdit.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Advanced recipe operations panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeAdvanced.html ">fwConfigurationDB/fwConfigurationDB_RecipeAvanced.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Edit DB Connection parameters panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_DBConnectionEdit.html ">fwConfigurationDB/fwConfigurationDB_DBConnectionEdit.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Status of ConfigurationDB connection</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_CDBStatus.html ">fwConfigurationDB/fwConfigurationDB_CDBStatus.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Advanced setup ans operations panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_ConfDBManager.html ">fwConfigurationDB/fwConfigurationDB_ConfDBManager.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">DB Connection management panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_ConfDBManager_DBConnections.html ">fwConfigurationDB/fwConfigurationDB_ConfDBManager_DBConnections.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Recipe cache management panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_ConfDBManager_RecipeCaches.html ">fwConfigurationDB/fwConfigurationDB_ConfDBManager_RecipeCaches.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Recipe type management panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_ConfDBManager_RecipeTypes.html ">fwConfigurationDB/fwConfigurationDB_ConfDBManager_RecipeTypes.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Recipe type editor panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeTypeEdit.html ">fwConfigurationDB/fwConfigurationDB_RecipeTypeEdit</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Handling of missing recipe type panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_RecipeSave_MissingRT.html ">fwConfigurationDB/fwConfigurationDB_RecipeSave_MissingRT.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Generic selection list panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_SelectionList.html ">fwConfigurationDB/fwConfigurationDB_SelectionList.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">List of devices stored in DB</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_DBDeviceList.html ">fwConfigurationDB/fwConfigurationDB_DBDeviceList.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Database browser panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_DBBrowser.html ">fwConfigurationDB/fwConfigurationDB_DBBrowser.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Database SQL Query panel</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_SqlQueryBrowser.html ">fwConfigurationDB/fwConfigurationDB_SqlQueryBrowser.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Load devices from Database</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_LoadDevicesFromDB.html ">fwConfigurationDB/fwConfigurationDB_LoadDevicesFromDB.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Save devices to Database</td>
<td class="link"><a href="panels/fwConfigurationDB/fwConfigurationDB_SaveDevicesToDB.html ">fwConfigurationDB/fwConfigurationDB_SaveDevicesToDB.pnl</a></td>
</tr>
</tbody></table>
<br><br><table border="1"><tbody>
<tr><td class="tableHead" colspan="2">Libraries</td></tr>
<tr>
<td class="desc">Global help with all functions in the component library</td>
<td class="link"><a href="scripts/libs/index.html">All functions in fwConfigurationDB</a></td>
</tr>
<tr>
<td class="desc">Main functions</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB_8ctl.html">fwConfigurationDB.ctl</a></td>
</tr>
<tr>
<td class="desc">Functions related to database access</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__DBAccess_8ctl.html">fwConfigurationDB_DBAccess.ctl</a></td>
</tr>
<tr>
<td class="desc">Device configuration functions</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__DeviceConfiguration_8ctl.html">fwConfigurationDB_DeviceConfiguration.ctl</a></td>
</tr>
<tr>
<td class="desc">Functions related to device hierarhies</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__Hierarchies_8ctl.html">fwConfigurationDB_Hierarchies.ctl</a></td>
</tr>
<tr>
<td class="desc">Functions related to recipes</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__Recipes_8ctl.html">fwConfigurationDB_Recipes.ctl</a></td>
</tr>
<tr>
<td class="desc">Various setup functions</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__Setup_8ctl.html">fwConfigurationDB_Setup.ctl</a></td>
</tr>
<tr>
<td class="desc">Auxiliary utility functions</td>
<td class="link"><a href="scripts/libs/fwConfigurationDB__Utils_8ctl.html">fwConfigurationDB_Utils.ctl</a></td>
</tr>
</tbody></table>
<br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1">Prepared by Piotr Golonka, CERN EN/ICE-SCD

</font>
</body>
</html>
